(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     25059,        762]
NotebookOptionsPosition[     24448,        740]
NotebookOutlinePosition[     24829,        756]
CellTagsIndexPosition[     24786,        753]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"pom", "=", "pom"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   StyleBox[
    RowBox[{"FindMinimum", "::", "sszero"}], "MessageName"], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   StyleBox[
    RowBox[{"NIntegrate", "::", "ncvb"}], "MessageName"], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.595483982078125*^9, 3.595483986296875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Rs", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ls", "=", "0.000001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", "0.000000173"}], ";", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"tady", " ", "to", " ", "umi", " ", "zlobit"}], ",", " ", 
    RowBox[{
     RowBox[{"odstranuje", " ", "se", " ", "to", " ", "AccuracyGoal"}], 
     "\[Rule]", "6"}], ",", 
    RowBox[{"PrecisionGoal", "\[Rule]", 
     RowBox[{"4", " ", "v", " ", "NDSolve"}]}], ",", " ", 
    RowBox[{
     RowBox[{"ostatne", " ", "vic", " ", "digitu", " ", "nepotrebujeme"}], 
     "..."}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   SubscriptBox["R", "1"], "=", "0.000669"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["R", "2"], "=", "0.000669"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["R", "3"], "=", "0.000669"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ampl", "=", "500."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", "314."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   FractionBox[
    RowBox[{"2", "*", "Pi"}], "\[Omega]"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ut1", "=", 
   RowBox[{"Ampl", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"\[Omega]", "*", "t"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ut2", "=", 
   RowBox[{"Ampl", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "-", 
      FractionBox[
       RowBox[{"2", "\[Pi]"}], "3"]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ut3", "=", 
   RowBox[{"Ampl", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", 
      FractionBox[
       RowBox[{"2", "\[Pi]"}], "3"]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["ut", 
    RowBox[{"1", ",", "2"}]], "=", 
   RowBox[{"ut1", "-", "ut2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["ut", 
    RowBox[{"1", ",", "3"}]], "=", 
   RowBox[{"ut1", "-", "ut3"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["ut", 
    RowBox[{"3", ",", "2"}]], "=", 
   RowBox[{"ut3", "-", "ut2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Gmin", "=", "0.00008"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["Lg", "1"], "=", 
   RowBox[{"10", "+", 
    RowBox[{"0", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{"0.1", "*", "\[Omega]", "*", "t"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["Lg", "2"], "=", 
   RowBox[{"10", "+", 
    RowBox[{"0", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"0.08", "*", "\[Omega]", "*", "t"}], "+", 
       RowBox[{"Random", "[", "]"}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["Lg", "3"], "=", 
   RowBox[{"10", "+", 
    RowBox[{"0", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"0.11", "*", "\[Omega]", "*", "t"}], "+", 
       RowBox[{"Random", "[", "]"}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Alpha]", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"pripadne", " ", "0.0005"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"I0", "=", "10"}], 
  RowBox[{"(*", "A", "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]0", "=", "0.0001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Phi]1", "=", "0.0001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"P0", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", "40"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", "10"}], 
  RowBox[{"(*", 
   RowBox[{"V", " ", "na", " ", "cm"}], "*)"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g0", "=", "100."}], ";", 
  RowBox[{"(*", 
   RowBox[{"poc", " ", "vodivost"}], "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.595427446625*^9, {3.595428062265625*^9, 3.595428079421875*^9}, {
   3.595430765875*^9, 3.595430800125*^9}, {3.595431206078125*^9, 
   3.5954312225625*^9}, {3.59543169965625*^9, 3.595431735640625*^9}, {
   3.595432685109375*^9, 3.59543268684375*^9}, {3.595433188078125*^9, 
   3.595433190328125*^9}, {3.595433405296875*^9, 3.595433479328125*^9}, 
   3.59543510115625*^9, {3.59543520825*^9, 3.59543531375*^9}, {
   3.595482996421875*^9, 3.59548305921875*^9}, {3.595483943234375*^9, 
   3.59548394809375*^9}, {3.595484547984375*^9, 3.595484574140625*^9}, 
   3.595484632765625*^9, {3.59548489096875*^9, 3.595484907484375*^9}, 
   3.595484940203125*^9, {3.595485063796875*^9, 3.595485114671875*^9}, {
   3.595485694109375*^9, 3.59548573346875*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "myAbs", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"myAbs", ":=", 
     RowBox[{
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"k", "=", "0.1"}], "}"}], ",", 
        RowBox[{
         SqrtBox[
          RowBox[{
           SuperscriptBox["#", "2"], "+", 
           SuperscriptBox["k", "2"]}]], "-", "k"}]}], "]"}], "&"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"myAbs", "[", "x", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "0.5"}], ",", "0.5"}], "}"}]}], "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{3.5954278201875*^9, {3.59542785275*^9, 3.5954279465*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "derg", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"derg", "[", 
     RowBox[{"i_", ",", "g_", ",", "Lg_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ena", ",", "den", ",", "nom"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ena", "=", 
        SuperscriptBox["E", 
         RowBox[{"(", 
          FractionBox[
           RowBox[{"-", 
            SuperscriptBox["i", "2"]}], 
           SuperscriptBox["I0", "2"]], ")"}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"den", "=", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "\[Phi]0"}], "-", 
          RowBox[{"\[Phi]1", "*", 
           SuperscriptBox["E", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[Alpha]"}], "*", 
              RowBox[{"myAbs", "[", "i", "]"}]}], ")"}]]}]}], ")"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"nom", "=", 
        RowBox[{"g", "-", "Gmin", "-", 
         RowBox[{
          FractionBox[
           SuperscriptBox["i", "2"], 
           RowBox[{"g", "*", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"A", "+", 
               RowBox[{"B", "*", "Lg"}]}], ")"}], "2"]}]], "*", 
          RowBox[{"(", 
           RowBox[{"1", "-", "ena"}], ")"}]}], "-", 
         RowBox[{
          FractionBox[
           SuperscriptBox["i", "2"], "P0"], "*", "ena"}]}]}], ";", 
       "\[IndentingNewLine]", 
       FractionBox["nom", "den"]}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5954275685*^9, 3.595427800078125*^9}, {
   3.59542796640625*^9, 3.595428017546875*^9}, {3.5954280896875*^9, 
   3.59542835196875*^9}, {3.595428391625*^9, 3.595428471953125*^9}, {
   3.595430824375*^9, 3.595430832125*^9}, 3.5954318651875*^9, {
   3.595435361015625*^9, 3.595435368421875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"matMrel", "=", 
    RowBox[{"(", GridBox[{
       {"1", "0.5", "0.4"},
       {"0.5", "1", "0.5"},
       {"0.4", "0.5", "1"}
      }], ")"}]}], ";", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "matice", " ", "vlastnich", " ", "a", " ", "vzajemnych", " ", 
      "indukcnosti"}], ",", 
     RowBox[{"vztazeno", " ", "k", " ", "L"}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"dersis", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        SubscriptBox["i", "1"], "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], ",", 
      RowBox[{
       SuperscriptBox[
        SubscriptBox["i", "2"], "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], ",", 
      RowBox[{
       SuperscriptBox[
        SubscriptBox["i", "3"], "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{
  3.595484481125*^9, {3.595485180796875*^9, 3.5954853315625*^9}, {
   3.595485441953125*^9, 3.595485473015625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"uf", ":=", 
   RowBox[{
    RowBox[{"Union", "[", 
     RowBox[{"Flatten", "[", "#", "]"}], "]"}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceg", ":=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         SubscriptBox["g", "#"], "[", "t", "]"}], "*", 
        RowBox[{
         SubscriptBox["u", "#"], "[", "t", "]"}]}], "\[Equal]", 
       RowBox[{
        SubscriptBox["i", "#"], "[", "t", "]"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{
         SubscriptBox["g", "#"], "'"}], "[", "t", "]"}], "==", 
       RowBox[{"derg", "[", 
        RowBox[{
         RowBox[{
          SubscriptBox["i", "#"], "[", "t", "]"}], ",", 
         RowBox[{
          SubscriptBox["g", "#"], "[", "t", "]"}], ",", 
         SubscriptBox["Lg", "#"]}], "]"}]}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["g", "#"], "[", "0", "]"}], "\[Equal]", "g0"}]}], "}"}], 
    "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rg", "=", 
   RowBox[{"uf", "@", 
    RowBox[{"(", 
     RowBox[{"rceg", "/@", 
      RowBox[{"Range", "[", "3", "]"}]}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"rcePrivod", ":=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         SubscriptBox["uin", "#"], "[", "t", "]"}], "-", 
        RowBox[{
         SubscriptBox["u", "#"], "[", "t", "]"}]}], "\[Equal]", 
       RowBox[{
        RowBox[{
         SubscriptBox["R", "#"], "*", 
         RowBox[{
          SubscriptBox["i", "#"], "[", "t", "]"}]}], "+", 
        RowBox[{"L", "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"matMrel", ".", "dersis"}], ")"}], "[", 
          RowBox[{"[", "#", "]"}], "]"}]}]}]}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["i", "#"], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
    "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rp", "=", 
   RowBox[{"uf", "@", 
    RowBox[{"(", 
     RowBox[{"rcePrivod", "/@", 
      RowBox[{"Range", "[", "3", "]"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rTrafo", "[", 
    RowBox[{"{", 
     RowBox[{"k1_", ",", "k2_"}], "}"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["uin", "k1"], "[", "t", "]"}], "-", 
       RowBox[{
        SubscriptBox["uin", "k2"], "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"Ls", "*", 
        RowBox[{
         RowBox[{
          SubscriptBox["i", 
           RowBox[{"k1", ",", "k2"}]], "'"}], "[", "t", "]"}]}], "+", 
       RowBox[{
        RowBox[{
         SubscriptBox["i", 
          RowBox[{"k1", ",", "k2"}]], "[", "t", "]"}], "*", "Rs"}], "+", 
       SubscriptBox["ut", 
        RowBox[{"k1", ",", "k2"}]]}]}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["i", 
        RowBox[{"k1", ",", "k2"}]], "[", "0", "]"}], "\[Equal]", "0"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rT", "=", 
   RowBox[{"uf", "@", 
    RowBox[{"(", 
     RowBox[{"rTrafo", "/@", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "2"}], "}"}]}], "}"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r123", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Equal]", 
      RowBox[{
       RowBox[{
        SubscriptBox["i", "1"], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["i", 
         RowBox[{"1", ",", "2"}]], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["i", 
         RowBox[{"1", ",", "3"}]], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["i", "2"], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{
        SubscriptBox["i", 
         RowBox[{"3", ",", "2"}]], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["i", 
         RowBox[{"1", ",", "2"}]], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       SubscriptBox["i", "3"], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         SubscriptBox["i", 
          RowBox[{"3", ",", "2"}]], "[", "t", "]"}]}], "+", 
       RowBox[{
        SubscriptBox["i", 
         RowBox[{"1", ",", "3"}]], "[", "t", "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rDohr", "=", 
   RowBox[{"Union", "[", 
    RowBox[{"rg", ",", "rp", ",", "rT", ",", "r123"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{"Union", "[", 
    RowBox[{
     RowBox[{"Cases", "[", 
      RowBox[{"rDohr", ",", 
       RowBox[{"_", "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"a_", "'"}], "[", "t", "]"}], "\[RuleDelayed]", "a"}], ",", 
       RowBox[{
        RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", "a"}]}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"5", "T"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"res", "=", 
    RowBox[{
     RowBox[{"NDSolve", "[", 
      RowBox[{"rDohr", ",", "nezname", ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
       RowBox[{"StartingStepSize", "\[Rule]", 
        SuperscriptBox["10", 
         RowBox[{"-", "16"}]]}], ",", 
       RowBox[{"MaxSteps", "\[Rule]", 
        SuperscriptBox["10", "6"]}], ",", 
       RowBox[{"SolveDelayed", "\[Rule]", "False"}], ",", 
       RowBox[{"MaxStepSize", "\[Rule]", 
        RowBox[{
         SuperscriptBox["10", 
          RowBox[{"-", "3"}]], "T"}]}], ",", 
       RowBox[{"AccuracyGoal", "\[Rule]", "6"}], ",", 
       RowBox[{"PrecisionGoal", "\[Rule]", "4"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SubscriptBox["i", 
         RowBox[{"1", ",", "2"}]], "[", "t", "]"}], ",", 
       RowBox[{
        SubscriptBox["i", 
         RowBox[{"1", ",", "3"}]], "[", "t", "]"}], ",", 
       RowBox[{
        SubscriptBox["i", 
         RowBox[{"3", ",", "2"}]], "[", "t", "]"}]}], "}"}], "/.", "res"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"tmax", "-", "T"}], ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5954307045*^9, 3.595430719734375*^9}, {
   3.595430845859375*^9, 3.59543104634375*^9}, 3.59543109059375*^9, {
   3.59543132528125*^9, 3.595431339828125*^9}, {3.59543140628125*^9, 
   3.595431648796875*^9}, {3.595431749125*^9, 3.595432022171875*^9}, {
   3.595432059109375*^9, 3.595432059828125*^9}, {3.595432107953125*^9, 
   3.595432306328125*^9}, 3.595432359328125*^9, 3.595432619234375*^9, 
   3.595432654703125*^9, {3.59543270109375*^9, 3.5954327978125*^9}, {
   3.5954328286875*^9, 3.5954328305*^9}, {3.5954329875625*^9, 
   3.595433024203125*^9}, {3.59543349809375*^9, 3.59543350475*^9}, 
   3.59543389121875*^9, 3.595434760109375*^9, {3.595434956109375*^9, 
   3.595434964765625*^9}, {3.595435058578125*^9, 3.59543508575*^9}, {
   3.5954351233125*^9, 3.595435127359375*^9}, 3.59543519190625*^9, 
   3.59543532740625*^9, {3.59548306575*^9, 3.595483066515625*^9}, 
   3.59548315465625*^9, 3.595484488890625*^9, 3.595484611484375*^9, {
   3.59548464909375*^9, 3.595484681109375*^9}, {3.595484719859375*^9, 
   3.595484723078125*^9}, 3.59548480671875*^9, 3.59548485734375*^9, {
   3.595484963484375*^9, 3.595484968796875*^9}, {3.5954850221875*^9, 
   3.59548508471875*^9}, {3.5954853575625*^9, 3.59548540034375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"ia", ",", "ib", ",", "ic"}], "]"}], ";", 
  RowBox[{"(*", 
   RowBox[{
   "prevadime", " ", "na", " ", "primar", " ", "pecniho", " ", "trafa", " ", 
    "s", " ", "uvazenim", " ", "idealniho", " ", "symetrickeho", " ", 
    "trafa"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"p", "=", 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox["22", "0.5"], ")"}], 
    RowBox[{"-", "1"}]]}], ";", 
  RowBox[{"(*", 
   RowBox[{"prevod", " ", "trafa"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ia", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"p", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["i", 
         RowBox[{"1", ",", "2"}]], "[", "t", "]"}], "+", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubscriptBox["i", 
            RowBox[{"1", ",", "3"}]], "[", "t", "]"}], "+", 
          RowBox[{
           SubscriptBox["i", 
            RowBox[{"3", ",", "2"}]], "[", "t", "]"}]}], ")"}]}]}], ")"}]}], "/.",
     "res"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ib", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"p", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["i", 
         RowBox[{"1", ",", "3"}]], "[", "t", "]"}], "+", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubscriptBox["i", 
            RowBox[{"1", ",", "2"}]], "[", "t", "]"}], "+", 
          RowBox[{
           SubscriptBox["i", 
            RowBox[{"3", ",", "2"}]], "[", "t", "]"}]}], ")"}]}]}], ")"}]}], "/.",
     "res"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ic", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"p", "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["i", 
         RowBox[{"3", ",", "2"}]], "[", "t", "]"}], "+", 
       RowBox[{"0.5", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubscriptBox["i", 
            RowBox[{"1", ",", "3"}]], "[", "t", "]"}], "+", 
          RowBox[{
           SubscriptBox["i", 
            RowBox[{"1", ",", "2"}]], "[", "t", "]"}]}], ")"}]}]}], ")"}]}], "/.",
     "res"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ia", "[", "t", "]"}], ",", 
        RowBox[{"ib", "[", "t", "]"}], ",", 
        RowBox[{"ic", "[", "t", "]"}]}], "}"}], "/.", "res"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"tmax", "-", "T"}], ",", "tmax"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.595483469078125*^9, 3.59548365878125*^9}, 
   3.59548370271875*^9, 3.59548460884375*^9, {3.595485503484375*^9, 
   3.595485538625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "funkcicka", " ", "pro", " ", "urceni", " ", "Fourierovych", " ", 
    "koeficientu"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nHarm", "=", "15"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"iH", "[", 
      RowBox[{"fce_", ",", "n_Integer"}], "]"}], ":=", 
     RowBox[{
      FractionBox["2", "T"], "*", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"fce", "[", "t", "]"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{"n", "*", "\[Omega]", "*", "t"}], "]"}], "+", 
           RowBox[{"I", "*", 
            RowBox[{"Sin", "[", 
             RowBox[{"n", "*", "\[Omega]", "*", "t"}], "]"}]}]}], ")"}]}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", 
          RowBox[{"tmax", "-", "T"}], ",", "tmax"}], "}"}]}], "]"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Four", ".", " ", "amplitudy"}], " ", "v", " ", "sekundaru"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{"Abs", "[", 
        RowBox[{"iH", "[", 
         RowBox[{"ia", ",", "#"}], "]"}], "]"}]}], "}"}], "&"}], "/@", 
    RowBox[{"Range", "[", "nHarm", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{"Abs", "[", 
        RowBox[{"iH", "[", 
         RowBox[{"ib", ",", "#"}], "]"}], "]"}]}], "}"}], "&"}], "/@", 
    RowBox[{"Range", "[", "nHarm", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{"Abs", "[", 
        RowBox[{"iH", "[", 
         RowBox[{"ic", ",", "#"}], "]"}], "]"}]}], "}"}], "&"}], "/@", 
    RowBox[{"Range", "[", "nHarm", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.59548372296875*^9, 3.59548385659375*^9}, {
   3.59548389859375*^9, 3.595483916921875*^9}, 3.595484601125*^9, {
   3.595485546125*^9, 3.595485604984375*^9}, {3.59548578525*^9, 
   3.595485906734375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Four", ".", " ", "amplitudy"}], " ", "v", " ", "primaru"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"iH", "[", 
       RowBox[{
        RowBox[{
         SubscriptBox["i", 
          RowBox[{"1", ",", "2"}]], "/.", "res"}], ",", "#"}], "]"}], "&"}], "/@", 
     RowBox[{"Range", "[", "nHarm", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Abs", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"iH", "[", 
       RowBox[{
        RowBox[{
         SubscriptBox["i", 
          RowBox[{"1", ",", "3"}]], "/.", "res"}], ",", "#"}], "]"}], "&"}], "/@", 
     RowBox[{"Range", "[", "nHarm", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Abs", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"iH", "[", 
       RowBox[{
        RowBox[{
         SubscriptBox["i", 
          RowBox[{"3", ",", "2"}]], "/.", "res"}], ",", "#"}], "]"}], "&"}], "/@", 
     RowBox[{"Range", "[", "nHarm", "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.595484105296875*^9, 3.59548415990625*^9}, 
   3.595484592921875*^9, {3.595485583609375*^9, 3.595485618171875*^9}, {
   3.595485816359375*^9, 3.59548582234375*^9}}]
},
WindowSize->{1030, 662},
WindowMargins->{{13, Automatic}, {Automatic, 7}},
Magnification->1.4000000953674316`,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 736, 22, 167, "Input"],
Cell[1296, 44, 4873, 139, 879, "Input"],
Cell[6172, 185, 825, 26, 140, "Input"],
Cell[7000, 213, 2038, 55, 384, "Input"],
Cell[9041, 270, 1086, 34, 137, "Input"],
Cell[10130, 306, 7991, 237, 451, "Input"],
Cell[18124, 545, 2933, 91, 222, "Input"],
Cell[21060, 638, 2139, 62, 246, "Input"],
Cell[23202, 702, 1242, 36, 117, "Input"]
}
]
*)

(* End of internal cache information *)
