(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      4163,        134]
NotebookOptionsPosition[      3767,        117]
NotebookOutlinePosition[      4148,        133]
CellTagsIndexPosition[      4105,        130]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"pom", "=", "pom"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   StyleBox[
    RowBox[{"FindMinimum", "::", "sszero"}], "MessageName"], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"L1", ",", "L2", ",", "M", ",", "R1", ",", "R2", ",", "\[Omega]"}],
    "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rcePrimar", "=", 
   RowBox[{"{", 
    RowBox[{"U1", "\[Equal]", 
     RowBox[{
      RowBox[{"R1", "*", "I1"}], "+", 
      RowBox[{"L1", "*", "I", "*", "\[Omega]", "*", "I1"}], "+", 
      RowBox[{"M", "*", "I", "*", "\[Omega]", "*", "I2"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceSekundar", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"U2", "\[Equal]", 
      RowBox[{
       RowBox[{"I", "*", "\[Omega]", "*", "L2", "*", "I2"}], "+", 
       RowBox[{"I", "*", "\[Omega]", "*", "M", "*", "I1"}]}]}], ",", 
     RowBox[{"U2", "\[Equal]", 
      RowBox[{
       RowBox[{"-", "R2"}], "*", "I2"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"resI2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"rceSekundar", ",", "I2", ",", "U2"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "Quiet"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resI1", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"rcePrimar", "/.", "resI2"}], ",", "I1"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Z1", "=", 
  RowBox[{
   FractionBox["U1", "I1"], "/.", "resI1"}]}]}], "Input",
 CellChangeTimes->{{3.641097910015625*^9, 3.641098237515625*^9}}],

Cell[BoxData[
 RowBox[{"ComplexExpand", "[", "Z1", "]"}]], "Input",
 CellChangeTimes->{{3.641098259640625*^9, 3.641098291671875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dos", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R1", "\[Rule]", "0.1"}], ",", 
     RowBox[{"R2", "\[Rule]", "0.5"}], ",", 
     RowBox[{"L1", "\[Rule]", "10"}], ",", 
     RowBox[{"L2", "\[Rule]", "0.1"}], ",", 
     RowBox[{"M", "\[Rule]", 
      RowBox[{"0.99", "*", 
       SqrtBox[
        RowBox[{"L1", "*", "L2"}]]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{"Z1", "//.", "dos"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", "0.1", ",", 
     RowBox[{"314", "*", "40"}]}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", "Red"}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\[Omega] [\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
      "\"\<Z1 [\[CapitalOmega]]\>\""}], "}"}]}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6410983728125*^9, 3.641098523671875*^9}}]
},
WindowSize->{1030, 662},
WindowMargins->{{13, Automatic}, {Automatic, 7}},
Magnification->1.4000000953674316`,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 522, 15, 142, "Input"],
Cell[1082, 37, 1476, 42, 193, "Input"],
Cell[2561, 81, 133, 2, 41, "Input"],
Cell[2697, 85, 1066, 30, 112, "Input"]
}
]
*)

(* End of internal cache information *)
